CREATE TABLE IF NOT EXISTS %prfx%.settings (
  `name` varchar(64) NOT NULL DEFAULT '',
  `position` int DEFAULT NULL,
  `title` text,
  `type` enum('text','number','tel','url','email','select','checkbox','textarea','int','bool') NOT NULL DEFAULT 'text',
  `width` int DEFAULT NULL,
  `type_data` text,
  `validator` text,
  `value` text,
  `menu` enum('admin','tools','none') NOT NULL DEFAULT 'admin',
  PRIMARY KEY (`name`)
)   DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
INSERT INTO %prfx%.settings (name, position, title, type, width, type_data, validator, value, menu) VALUES
('plugin_list', NULL, NULL, 'text', NULL, NULL, NULL, ',lookup2,biblioFlds,orphanFiles,transUtils,listMgr,cssUtils,mediaFlds,callNoUtils,onlineFotos,orphanImages', ''),
('library_name', 1, 'Library Title', 'select', NULL, 'sites', NULL, '1', 'admin'),
('library_hours', 2, 'Library Hours', 'textarea', 2, NULL, NULL, '', 'admin'),
('library_phone', 3, 'Library Phone No.', 'tel', NULL, NULL, NULL, '207-587-2623', 'admin'),
('library_home', 4, 'Library Address', 'text', NULL, NULL, NULL, '344 Bacon Rd', 'admin'),
('block_checkouts_when_fines_due', 7, 'Block Checkouts When Fines Due', 'bool', 1, NULL, NULL, 'N', 'admin'),
('locale', 8, 'Locale', 'select', NULL, 'locales', NULL, 'en', 'admin'),
('charset', 9, 'Character Set', 'text', NULL, NULL, NULL, 'UTF-8', 'admin'),
('items_per_page', 25, 'Photos per Page', 'number', NULL, NULL, NULL, '25', 'admin'),
('item_columns', 26, 'Photo Columns(0 for auto)', 'number', NULL, NULL, NULL, '5', 'admin'),
('request_from', 10, 'Request From', 'text', NULL, NULL, NULL, '', 'admin'),
('request_to', 11, 'Request To', 'text', NULL, NULL, NULL, '', 'admin'),
('request_subject', 12, 'Request Subject', 'text', NULL, NULL, NULL, '', 'admin'),
('mbr_barcode_width', 13, 'Member Card No Width', 'number', NULL, NULL, NULL, '', 'admin'),
('library_url', 5, 'Library URL', 'url', 32, NULL, NULL, 'http://www.flos-inc.local', 'admin'),
('opac_url', 16, 'OPAC URL', 'url', 32, NULL, NULL, '', 'admin'),
('library_image_url', 6, 'Library Image', 'text', 32, NULL, NULL, '../images/pond.jpg', 'admin'),
('themeid', 18, 'Theme', 'int', 10, NULL, NULL, '1', 'admin'),
('theme_dir_url', 19, 'Theme Dir URL', 'select', NULL, 'themes', NULL, '../themes/default', 'admin'),
('use_image_flg', 20, 'Use Image', 'checkbox', NULL, NULL, NULL, 'N', 'admin'),
('show_lib_info', 21, 'Show Lib Info on Staff pages', 'bool', NULL, NULL, NULL, 'N', 'admin'),
('thumbnail_width', 31, 'Photo Max Width', 'number', NULL, NULL, NULL, '100', 'admin'),
('thumbnail_height', 32, 'Photo Max Height', 'number', NULL, NULL, NULL, '120', 'admin'),
('thumbnail_rotation', 33, 'Photo Rotation', 'number', NULL, NULL, NULL, '0', 'admin'),
('allow_plugins_flg', 0, 'Allow Plugins', 'bool', NULL, NULL, NULL, 'Y', 'tools'),
('item_barcode_flg', 1, 'Use item barcodes', 'bool', NULL, NULL, NULL, 'Y', 'tools'),
('item_autoBarcode_flg', 2, 'Item Auto Barcodes', 'bool', NULL, NULL, NULL, 'Y', 'tools'),
('mbr_barcode_flg', 10, 'Use Member barcodes', 'bool', NULL, NULL, NULL, 'Y', 'tools'),
('mbr_autoBarcode_flg', 11, 'Member Auto Barcodes', 'bool', NULL, NULL, NULL, 'Y', 'tools'),
('show_checkout_mbr', 20, 'Show member who has an item checked out', 'bool', NULL, NULL, NULL, 'Y', 'tools'),
('show_item_photos', 21, 'Show Item Photos', 'bool', NULL, NULL, NULL, 'Y', 'tools'),
('show_detail_opac', 22, 'Show copy details in OPAC', 'bool', NULL, NULL, NULL, 'Y', 'tools'),
('multi_site_func', 23, 'Default site for multiple site functionality (0 = disabled)', 'int', NULL, NULL, NULL, '2', 'tools'),
('site_login', 25, 'Select a Site at Logon', 'bool', NULL, NULL, NULL, 'N', 'tools'),
('checkout_interval', 26, 'Checkout_Interval', 'select', NULL, NULL, NULL, '1', 'tools'),
('item_barcode_width', 27, 'Item Barcode Width', 'int', NULL, NULL, NULL, '13', 'tools'),
('version', 33, NULL, 'text', NULL, '\0', NULL, '1.0b', 'none'),
('OBsize', NULL, 'Current Size', 'number', 16, NULL, NULL, '1681441', 'admin'),
('version_hash', NULL, 'Current version hash', 'text', 32, NULL, NULL, '2fec51995b2fa77aff2c4aa63979ab73', 'admin'),
('first_day_of_week', 0, 'first day of week', 'number', 2, NULL, NULL, '0', 'admin'),
('allow_auto_db_check', 28, 'Allow Database Auto-Integrity Check', 'bool', NULL, NULL, NULL, 'Y', 'tools');

